Update connector
curl --request PUT \
--url https://api.getcargo.io/v1/connection/connectors/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isDefault": true,
"config": {},
"rateLimit": {
"max": 123
},
"cacheTtlMilliseconds": 123
}
'import requests
url = "https://api.getcargo.io/v1/connection/connectors/{uuid}"
payload = {
"name": "<string>",
"isDefault": True,
"config": {},
"rateLimit": { "max": 123 },
"cacheTtlMilliseconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
isDefault: true,
config: {},
rateLimit: {max: 123},
cacheTtlMilliseconds: 123
})
};
fetch('https://api.getcargo.io/v1/connection/connectors/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connector": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"slug": "<string>",
"rateLimit": {
"max": 123
},
"cacheTtlMilliseconds": 123,
"integrationSlug": "<string>",
"isDefault": true,
"playsCount": 123,
"toolsCount": 123,
"modelsCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"useCredits": true,
"config": null
}
}Connection - Connectors
Update connector
Update a connector
PUT
/
connection
/
connectors
/
{uuid}
Update connector
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Connector identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Request body schema.
Connector name.
Whether this connector is the default for its integration. Setting it to true clears the previous default.
Connector configuration.
Show child attributes
Show child attributes
Rate limit configuration.
Show child attributes
Show child attributes
Cache time-to-live in milliseconds.
Response
Successful response
Updated connector details.
- Connector
- Connector
Show child attributes
Show child attributes
Was this page helpful?
⌘I

